%global __brp_check_rpaths %{nil}
%global packname  freqpcr
%global packver   0.4.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.0
Release:          1%{?dist}%{?buildtag}
Summary:          Estimates Allele Frequency on qPCR DeltaDeltaCq from Bulk Samples

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6
Requires:         R-core >= 3.6
BuildArch:        noarch
BuildRequires:    R-CRAN-cubature 
BuildRequires:    R-methods 
Requires:         R-CRAN-cubature 
Requires:         R-methods 

%description
Interval estimation of the population allele frequency from qPCR analysis
based on the restriction enzyme digestion (RED)-DeltaDeltaCq method
(Osakabe et al. 2017, <doi:10.1016/j.pestbp.2017.04.003>), as well as
general DeltaDeltaCq analysis. Compatible with the Cq measurement of DNA
extracted from multiple individuals at once, so called "group-testing",
this model assumes that the quantity of DNA extracted from an individual
organism follows a gamma distribution. Therefore, the point estimate is
robust regarding the uncertainty of the DNA yield.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
